#version 430 core
in vec4 vColor;
in vec3 vparams;

out vec4 fColor;

void main()
{
  float d = (dot(vec2(vparams.xy),vec2(vparams.xy)));
  if ( d > 1 || d < vparams.z ) {discard;}
  //if ( d > 1 ) {discard;}
  fColor = vColor;
  //fColor = (10,0,0,10);
}
